Bug 457030 - Review Request: rubygem-attributes - Attributes for Ruby (GEM)
Review Request: rubygem-attributes - Attributes for Ruby (GEM)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: S.A. Hartsuiker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 06:20 EDT by Jeroen van Meeuwen
Modified: 2008-09-10 03:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-24 10:10:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.a.hartsuiker: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-07-29 06:20:01 EDT
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-attributes.spec
SRPM URL: http://www.kanarip.com/custom/f10/SRPMS/rubygem-attributes-5.0.1-2.fc10.src.rpm
Description: Attributes for Ruby (GEM)
Comment 1 S.A. Hartsuiker 2008-07-29 16:10:48 EDT
review in progress
Comment 2 S.A. Hartsuiker 2008-07-29 16:18:44 EDT
RPM Lint: a no %doc warning
Package name: ok
Spec file: ok
License: GPLv2,Ruby
Actual License: GPLv2+,Ruby
%doc License: n/a
Spec file language: ok
Spec file readable: ok
Upstream source vs. used tarball: ok
Compile and Build:
 - F-7: builds
 - F-8: builds
 - rawhide: builds
 - EL-5: builds

Applicable Package Guidelines: 
 
Locales: not applicable
Shared libs: not applicable

Relocatable: no
Directory and file ownership: ok
No duplicate files in %files: ok
File Permissions: ok
Macro usage: ok
Code vs. Content: ok
(Large) Documentation: ok
%doc affecting runtime: no
Header files in -devel package: not applicable
Static Libraries in -static package: not applicable
pkgconfig Requires: not applicable
Library files: not applicable
Devel requires base package: not applicable
.la libtool archives: not applicable
Duplicate ownership of files/directories: no
Remove BuildRoot: yes
UTF-8 filenames: no 

There is a README in the rpm, it should be marked as %doc
Otherwise no problems.
Comment 4 S.A. Hartsuiker 2008-07-31 07:26:47 EDT
Ok
%doc is fixed now.
package approved
Comment 5 Jeroen van Meeuwen 2008-08-02 05:38:23 EDT
New Package CVS Request
=======================
Package Name: rubygem-attributes
Short Description: Attributes for Ruby (Gem)
Owners: kanarip
Branches: EL-5, F-8, F-9, devel
InitialCC: kanarip
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-08-05 12:37:58 EDT
cvs done.
Comment 7 Fedora Update System 2008-08-23 08:57:38 EDT
rubygem-attributes-5.0.1-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rubygem-attributes-5.0.1-3.fc9
Comment 8 Fedora Update System 2008-08-23 08:57:41 EDT
rubygem-attributes-5.0.1-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rubygem-attributes-5.0.1-3.fc8
Comment 9 Fedora Update System 2008-09-10 03:12:44 EDT
rubygem-attributes-5.0.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-09-10 03:13:12 EDT
rubygem-attributes-5.0.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.